Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.thoughtworks.selenium.condition
Interface ConditionRunner.Context

Enclosing interface:
  ConditionRunner

    public static interface ConditionRunner.Context

Used by implementations of `ConditionRunner.waitFor(Condition)` to provide context to the `Condition#isTrue(com.google.testing.selenium.condition.ConditionRunner.Context)` method

Method Summary
`long` | `elapsed()` Returns the amount of time elapsed since the `ConditionRunner.waitFor(Condition)` method for this context was called.
`ConditionRunner` | `getConditionRunner()` Returns the condition runner inside which this condition is being run.
`Selenium` | `getSelenium()` Returns the `Selenium` associated with this instance.
`void` | `info(java.lang.String string)` A `Condition.isTrue(ConditionRunner.Context)` can call this method to set extra information to be displayed upon a failure.

Method Detail

### getConditionRunner

    ConditionRunner getConditionRunner()

  Returns the condition runner inside which this condition is being run.

  This allows for a condition to chain to other conditions.

### getSelenium

    Selenium getSelenium()

  Returns the `Selenium` associated with this instance. This method will almost always be called by any `Condition.isTrue(ConditionRunner.Context)`.

### info

    void info(java.lang.String string)

  A `Condition.isTrue(ConditionRunner.Context)` can call this method to set extra information to be displayed upon a failure.

### elapsed

    long elapsed()

  Returns the amount of time elapsed since the `ConditionRunner.waitFor(Condition)` method for this context was called.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.